'use server'
import { getCaseById } from "@/app/lib/cases/action";
import { getCycleDaysRequestList } from "@/app/lib/cycle-days/action";
import { getIbcRequestList } from "@/app/lib/ibc/action";
import { Box } from "@chakra-ui/react";
import CaseForm from "../../component/form";


export default async function Edit({ params }: { params: { id: number } }) {
    const [ibcList, cycleDaysList, initialCaseData] = await Promise.all([getIbcRequestList(1), getCycleDaysRequestList(1), getCaseById(params.id)])

    return (
        <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
            {initialCaseData && <CaseForm isEdit={initialCaseData} ibcList={ibcList?.data?.data} cycleDaysList={cycleDaysList?.data?.data} />}
        </Box>
    );
}